import 'package:tetrisdual/utils/tools.dart';

class DefaultGameSettings {
  // available game parameters codes
  static const String parameterCodeGameType = 'gameType';
  static const List<String> availableParameters = [
    parameterCodeGameType,
  ];

  // game mode: available values
  static const String gameTypeValueDefault = 'default';
  static const List<String> allowedGameTypeValues = [
    gameTypeValueDefault,
  ];
  // game mode: default value
  static const String defaultGameTypeValue = gameTypeValueDefault;

  // available values from parameter code
  static List<String> getAvailableValues(String parameterCode) {
    switch (parameterCode) {
      case parameterCodeGameType:
        return DefaultGameSettings.allowedGameTypeValues;
    }

    printlog('Did not find any available value for game parameter "$parameterCode".');
    return [];
  }
}
